Subject: etcnet Wi-Fi tuning

From: Van Petron <[email-masked]>
Date: Tue, 05 Feb 2008 08:32:12 +0600

Hello,
Can you help me? What can I read to solve the task:
The is Altlinux installed on the computer with Ethernet card connected 
with the local network/Internet (DHCP) + WiFi USB stick.
There is notebook with Windows XP + Wi-FI PCMCIA card.
I want to connect with notebook AD-HOC: Samba, printer (on my PC 
(CUPS)). I also want to retransmit local network/Internet to the notebook.
Altlinux has etcnet.
I made some tuning in ifaces/wlan0, but notebook cannot connect
with wi-fi net "Ivp" (there are two, and it cannot connect with each of 
then).
Folder wlan0:
ipv4address:
192.168.0.2/24

ipv4route:
default via 192.168.0.1

iwconfig:
essid Ivp
mode 1
ap 00-50-22-E2-B6-OF
channel 3
rate 54M

options:
TYPE=eth
MODULE=ndiswrapper
NEVER_RMMOD=YES
USE_HOTPLUG=no
ONBOOT=yes

wpa_supplicant.conf:
ctrl_interface=/var/run/wpa_supplicant
update_config=1

network={
          ssid="Ivp"
          bssid=00-15-E9-B3-2A-20
          key_mgmt=NONE
}

What is wrong?

I.P.